package com.gic.udesk.qo;

import com.gic.enterprise.qo.PageQO;

import java.io.Serializable;
/**
 * 工单列表查询参数
 * @ClassName: TicketListQO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/26 5:23 PM 
 */
public class TicketListQO extends PageQO implements Serializable{
    private static final long serialVersionUID = -404555085326787735L;

    /**
     * 支持搜索应用名称/工单编号/问题标题
     */
    private String search;
    /**
     * UdeskStatusEnum枚举
     */
    private String ticketStatus;
    /**
     * 业务模块ID, 英文逗号隔开
     */
    private String businessModule;

    private String startTime;
    /**
     * yyyy-MM-dd格式
     */
    private String endTime;

    private Integer enterpriseId;

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public String getTicketStatus() {
        return ticketStatus;
    }

    public void setTicketStatus(String ticketStatus) {
        this.ticketStatus = ticketStatus;
    }

    public String getBusinessModule() {
        return businessModule;
    }

    public void setBusinessModule(String businessModule) {
        this.businessModule = businessModule;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public TicketListQO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }
}
